import 'package:flutter_ds_bfi/flutter_ds_bfi.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class CardScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Card'),
        centerTitle: true,
      ),
      body: SingleChildScrollView(
          child: Column(
        children: [
          Padding(
            padding: const EdgeInsets.only(left: 18.0, right: 18.0, top: 18.0),
            child: DSCard(
              angsuranPerBulan: Text(
                'Rp. 500.000',
                style: TextStyle(
                  fontSize: 14,
                  color: Colors.white,
                  fontWeight: FontWeight.bold,
                ),
              ),
              jatuhTempo: Text('12 Desember 2020',
                  style: TextStyle(
                      fontSize: 14,
                      color: Colors.white,
                      fontWeight: FontWeight.bold)),
              licensePlate: 'B1MO',
              noKontrak: '054651064130',
              bgCard: 'assets/imgs/card_blue.png',
              icon: 'assets/imgs/mobil.png',
              titleAngsuran: 'Tagihan Bulan Ini',
              arrowUp: 'assets/imgs/arrow_up_white.png',
              onTap: () {
                print('tap tap tap');
              },
            ),
          ),
          SizedBox(height: 30),
          Padding(
            padding: const EdgeInsets.only(left: 18.0, right: 18.0),
            child: DSCardContactUs(
                image: 'assets/imgs/phone_call.png',
                title: 'Telepon Kami',
                subtitle: 'Senin - Jumat: 08.00-18.00 WIB',
                subtitle2: 'Sabtu: 08.00 - 12.00 WIB'),
          ),
          SizedBox(height: 30),
          Padding(
            padding: const EdgeInsets.only(left: 18.0, right: 18.0),
            child: DSCardContactUs(
                image: 'assets/imgs/phone_call.png',
                title: 'Telepon Kami',
                subtitle: 'Senin - Jumat: 08.00-18.00 WIB'),
          ),
          SizedBox(height: 30),
          Container(
              padding: const EdgeInsets.only(left: 8.0, right: 8.0),
              width: double.infinity,
              height: MediaQuery.of(context).size.height * 0.21,
              child: ListView(
                padding: EdgeInsets.all(8),
                scrollDirection: Axis.horizontal,
                children: [
                  SizedBox(width: 16.0),
                ],
              )),
          Padding(
            padding: const EdgeInsets.only(left: 18.0, right: 18.0, top: 18.0),
            child: DSCardLabel(
              width: 343.w,
              label: 'Di Proses',
              header: 'DKM/2022/0293023',
              colorLabel: Colors.green,
              content: Column(
                children: [
                  Row(
                    children: [
                      DSText(
                        data: 'Nama : ',
                        textStyle: TextStyle(
                          color: Colors.black,
                          fontSize: 12.sp,
                        ),
                      ),
                      DSText(
                        data: 'Reza Nandika',
                        textStyle: TextStyle(
                          color: Colors.black,
                          fontSize: 12.sp,
                        ),
                      ),
                    ],
                  ),
                  RSizedBox(
                    height: 16,
                  ),
                  Row(
                    children: [
                      DSText(
                        data: 'NIK : ',
                        textStyle: TextStyle(
                          color: Colors.black,
                          fontSize: 12.sp,
                        ),
                      ),
                      DSText(
                        data: '089677',
                        textStyle: TextStyle(
                          color: Colors.black,
                          fontSize: 12.sp,
                        ),
                      ),
                    ],
                  ),
                  RSizedBox(
                    height: 16,
                  ),
                  Row(
                    children: [
                      DSText(
                        data: 'Jenis Komplain : ',
                        textStyle: TextStyle(
                          color: Colors.black,
                          fontSize: 12.sp,
                        ),
                      ),
                      DSText(
                        data: 'Kerusakan AC di Lantai 6',
                        textStyle: TextStyle(
                          color: Colors.black,
                          fontSize: 12.sp,
                        ),
                      ),
                    ],
                  ),
                ],
              ),
              footer: RPadding(
                padding: REdgeInsets.only(left: 16.0),
                child: DSText(
                    data: '24/04/2018 11:42',
                    textStyle: TextStyle(color: Colors.grey, fontSize: 12.sp)),
              ),
            ),
          ),
        ],
      )),
    );
  }
}
