part of flutter_ds_bfi;

class DSCardLabel extends StatelessWidget {
  final String? label;
  final String? header;
  final Widget? content;
  final Widget? footer;
  final double? width;
  final Color? colorLabel;

  const DSCardLabel({
    this.label,
    this.header,
    this.content,
    this.footer,
    this.width,
    this.colorLabel,
  });
  @override
  Widget build(BuildContext context) {
    return Container(
        width: width,
        decoration: BoxDecoration(
          borderRadius: BorderRadius.all(Radius.circular(20)),
          color: Colors.white,
          boxShadow: [
            BoxShadow(
              color: Colors.grey.withOpacity(0.3),
              spreadRadius: 0,
              blurRadius: 10,
              offset: Offset(1, 0), // changes position of shadow
            ),
          ],
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Padding(
                  padding: EdgeInsets.only(left: 16.0, top: 16.0),
                  child: DSText(
                    data: '$header',
                    textStyle: TextStyle(
                        fontSize: 12.sp,
                        color: Colors.black,
                        fontWeight: FontWeight.bold),
                  ),
                ),
                Container(
                  height: 35,
                  width: 100,
                  padding: EdgeInsets.all(8),
                  decoration: BoxDecoration(
                    color: colorLabel,
                    borderRadius: BorderRadius.only(
                        bottomLeft: Radius.circular(8.0),
                        topRight: Radius.circular(20.0)),
                  ),
                  child: Center(
                    child: DSText(
                      data: '$label',
                      textStyle:
                          TextStyle(fontSize: 12.sp, color: Colors.white),
                    ),
                  ),
                ),
              ],
            ),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: [
                RPadding(padding: REdgeInsets.all(16), child: content!),
                RPadding(padding: REdgeInsets.only(bottom: 16), child: footer!)
              ],
            )
          ],
        ));
  }
}
